OGRE: Ogre::ConfigDialog Class Reference - OGRE Documentation

# Ogre::ConfigDialog Class Reference

Defines the behaviour of an automatic renderer configuration dialog. More...

`#include <OgreConfigDialogImp.h>`

Inheritance diagram for Ogre::ConfigDialog:

[legend]

List of all members.

## Public Member Functions
| ConfigDialog ()
bool | display ()
| Displays the dialog.
| ConfigDialog ()
bool | display ()
| Displays the dialog.
| ConfigDialog ()
| ~ConfigDialog ()
void | initialise ()
void | run ()
void | cancel ()
bool | display ()
| ConfigDialog ()
| ~ConfigDialog ()
bool | display ()
| Displays the dialog.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Static Public Member Functions
static pascal OSStatus | windowEventHandler (EventHandlerCallRef aNextHandler, EventRef aEvent, void *aUserData)
## Protected Member Functions
bool | createWindow ()
| Create the gtk+ dialog window.
void | setupRendererParams ()
| Get parameters from selected renderer and fill the dialog.
## Static Protected Member Functions
static void | rendererChanged (GtkComboBox *widget, gpointer data)
| Callback function for renderer select combobox.
static void | optionChanged (GtkComboBox *widget, gpointer data)
| Callback function to change a renderer option.
static gboolean | refreshParams (gpointer data)
| Idle function to refresh renderer parameters.
static INT_PTR CALLBACK | DlgProc (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)
| Callback to process window events.
## Protected Attributes
RenderSystem * | mSelectedRenderSystem
RenderSystem * | mSelectedRenderSystem
| The rendersystem selected by user.
GtkWidget * | mDialog
| The dialog window.
GtkWidget * | mParamTable
| The table with renderer parameters.
GtkWidget * | mOKButton
| The button used to accept the dialog.
RenderSystem * | iSelectedRenderSystem
HIViewRef | iLogoViewRef
HIViewRef | iVideoModeRef
HIViewRef | iColorDepthRef
HIViewRef | iFSAARef
HIViewRef | iRTTPrefModeRef
HIViewRef | iFullScreenRef
WindowRef | iWindowRef
IBNibRef | iNibRef
MenuRef | iMenuRef
MenuID | iMenuID
bool | iDisplayStatus
RenderSystem * | mSelectedRenderSystem
HINSTANCE | mHInstance

## Detailed Description

Defines the behaviour of an automatic renderer configuration dialog.

Remarks:
  OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Author:
  Steven J. Streeting

Remarks:
  OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Author:
  Andrew Zabolotny <zap@homelink.ru>

Definition at line 50 of file GLX/OgreConfigDialogImp.h.

## Constructor & Destructor Documentation

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::ConfigDialog | ( |  | ) |

Ogre::ConfigDialog::~ConfigDialog | ( |  | ) |

## Member Function Documentation

bool Ogre::ConfigDialog::display | ( |  | ) |

Displays the dialog.

Remarks:
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns:
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also:
  RenderSystem

bool Ogre::ConfigDialog::display | ( |  | ) |

Displays the dialog.

Remarks:
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns:
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also:
  RenderSystem

bool Ogre::ConfigDialog::createWindow | ( |  | ) | `[protected]`

Create the gtk+ dialog window.

void Ogre::ConfigDialog::setupRendererParams | ( |  | ) | `[protected]`

Get parameters from selected renderer and fill the dialog.

static void Ogre::ConfigDialog::rendererChanged | ( | GtkComboBox * | widget,
|  | gpointer | data |
| ) |  |  | `[static, protected]`

Callback function for renderer select combobox.

static void Ogre::ConfigDialog::optionChanged | ( | GtkComboBox * | widget,
|  | gpointer | data |
| ) |  |  | `[static, protected]`

Callback function to change a renderer option.

static gboolean Ogre::ConfigDialog::refreshParams | ( | gpointer | data | ) | `[static, protected]`

Idle function to refresh renderer parameters.

void Ogre::ConfigDialog::initialise | ( |  | ) |

void Ogre::ConfigDialog::run | ( |  | ) |

void Ogre::ConfigDialog::cancel | ( |  | ) |

bool Ogre::ConfigDialog::display | ( |  | ) |

static pascal OSStatus Ogre::ConfigDialog::windowEventHandler | ( | EventHandlerCallRef | aNextHandler,
|  | EventRef | aEvent,
|  | void * | aUserData |
| ) |  |  | `[static]`

bool Ogre::ConfigDialog::display | ( |  | ) |

Displays the dialog.

Remarks:
  This method displays the dialog and from then on the dialog interacts with the user independently. The dialog will be calling the relevant OGRE rendering systems to query them for options and to set the options the user selects. The method returns when the user closes the dialog.

Returns:
  If the user accepted the dialog, true is returned.

  If the user cancelled the dialog (indicating the application should probably terminate), false is returned.

See also:
  RenderSystem

static INT_PTR CALLBACK Ogre::ConfigDialog::DlgProc | ( | HWND | hDlg,
|  | UINT | iMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam |
| ) |  |  | `[static, protected]`

Callback to process window events.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

RenderSystem* Ogre::ConfigDialog::mSelectedRenderSystem`[protected]`

Definition at line 73 of file GLX/OgreConfigDialogImp.h.

RenderSystem* Ogre::ConfigDialog::mSelectedRenderSystem`[protected]`

The rendersystem selected by user.

Definition at line 78 of file gtk/OgreConfigDialogImp.h.

GtkWidget* Ogre::ConfigDialog::mDialog`[protected]`

The dialog window.

Definition at line 80 of file gtk/OgreConfigDialogImp.h.

GtkWidget* Ogre::ConfigDialog::mParamTable`[protected]`

The table with renderer parameters.

Definition at line 82 of file gtk/OgreConfigDialogImp.h.

GtkWidget* Ogre::ConfigDialog::mOKButton`[protected]`

The button used to accept the dialog.

Definition at line 84 of file gtk/OgreConfigDialogImp.h.

RenderSystem* Ogre::ConfigDialog::iSelectedRenderSystem`[protected]`

Definition at line 27 of file OSX/OgreConfigDialogImp.h.

HIViewRef Ogre::ConfigDialog::iLogoViewRef`[protected]`

Definition at line 28 of file OSX/OgreConfigDialogImp.h.

HIViewRef Ogre::ConfigDialog::iVideoModeRef`[protected]`

Definition at line 29 of file OSX/OgreConfigDialogImp.h.

HIViewRef Ogre::ConfigDialog::iColorDepthRef`[protected]`

Definition at line 30 of file OSX/OgreConfigDialogImp.h.

HIViewRef Ogre::ConfigDialog::iFSAARef`[protected]`

Definition at line 31 of file OSX/OgreConfigDialogImp.h.

HIViewRef Ogre::ConfigDialog::iRTTPrefModeRef`[protected]`

Definition at line 32 of file OSX/OgreConfigDialogImp.h.

HIViewRef Ogre::ConfigDialog::iFullScreenRef`[protected]`

Definition at line 33 of file OSX/OgreConfigDialogImp.h.

WindowRef Ogre::ConfigDialog::iWindowRef`[protected]`

Definition at line 34 of file OSX/OgreConfigDialogImp.h.

IBNibRef Ogre::ConfigDialog::iNibRef`[protected]`

Definition at line 35 of file OSX/OgreConfigDialogImp.h.

MenuRef Ogre::ConfigDialog::iMenuRef`[protected]`

Definition at line 36 of file OSX/OgreConfigDialogImp.h.

MenuID Ogre::ConfigDialog::iMenuID`[protected]`

Definition at line 37 of file OSX/OgreConfigDialogImp.h.

bool Ogre::ConfigDialog::iDisplayStatus`[protected]`

Definition at line 38 of file OSX/OgreConfigDialogImp.h.

RenderSystem* Ogre::ConfigDialog::mSelectedRenderSystem`[protected]`

Definition at line 81 of file WIN32/OgreConfigDialogImp.h.

HINSTANCE Ogre::ConfigDialog::mHInstance`[protected]`

Definition at line 82 of file WIN32/OgreConfigDialogImp.h.

The documentation for this class was generated from the following files:

- GLX/OgreConfigDialogImp.h
- gtk/OgreConfigDialogImp.h
- OSX/OgreConfigDialogImp.h
- WIN32/OgreConfigDialogImp.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:43 2009